-- Set leader and localleader here as a numeber of plugins will use them
vim.g.mapleader = " "
vim.g.maplocalleader = "\\"

vim.cmd([[
syntax on
filetype indent plugin on
]])

local lazypath = vim.fn.stdpath("data") .. "/lazy/lazy.nvim"
if not vim.loop.fs_stat(lazypath) then
  vim.fn.system({
    "git",
    "clone",
    "--filter=blob:none",
    "https://github.com/folke/lazy.nvim.git",
    "--branch=stable", -- latest stable release
	lazypath,
  })
end
vim.opt.rtp:prepend(lazypath)

require("lazy").setup("plugins")
-- require("lazy").setup({ {
-- 		"ellisonleao/gruvbox.nvim",
-- 		lazy = false,
-- 		priority=1000
-- 	},{
-- 		"nvim-treesitter/nvim-treesitter",
-- 		build = ":TSUpdate"
-- 	}
-- })
--
vim.cmd("colorscheme gruvbox")

vim.cmd([[


"if has('packages')
"	packadd! AnsiEsc.vim
"	packadd! fzf.vim
"	packadd! gruvbox
"	packadd! gruvbox-baby
"	packadd! lexima.vim
"	packadd! loupe
"	packadd! ultisnips
"	packadd! vim-fugitive
"	packadd! vim-json
"	packadd! vim-less
"	packadd! vim-projectionist
"	packadd! vim-repeat
"	packadd! vim-snippets
"	packadd! vim-surround
"	packadd! vim-tridactyl
"	packadd! vim-vinegar
"	packadd! vim-openscad
"	if has('nvim')
"		packadd! deoplete.nvim
"		packadd! deoplete-abook
"		packadd! deoplete-lsp
"		packadd! deoplete-notmuch
"		packadd! firenvim
"		packadd! nvim-treesitter
"		" packadd! nvim-biscuits
"		lua <<EOF
"		if ( vim.lsp ~= nil ) then
"			vim.cmd "packadd! nvim-lspconfig"
"			end
"EOF
"	endif
"endif

" Enables filetype detection as well as filetype specific indent rules and plugins
"filetype indent plugin on
" Enables filetype specific syntaxs

"syntax on

""let g:UltiSnipsExpandTrigger="<tab>"
""let g:UltiSnipsJumpForwardTrigger="<tab>"
""let g:UltiSnipsJumpBackwardTrigger="<S-tab>"

]])
